package arzumify.cursedenergy.api;

import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.Direction;
import net.minecraft.world.World;

import java.util.HashSet;
import java.util.Set;

public class SearchForNeighbours {
    public static Set<EnergyBlock> searchForNeighbours(World world, BlockPos pos) {
        var neighbours = new HashSet<EnergyBlock>();
        for (var direction : Direction.values()) {
            var entity = world.getBlockEntity(pos.offset(direction));
            if (entity instanceof EnergyBlock) {
                neighbours.add((EnergyBlock) entity);
            }
        }
        return neighbours;
    }
}
